# Time dependent problem, with analytical solution:
# p(t,x,y) = p(t,x) = exp(-(C/S)*Pi^2*t)*sin(Pi*x)
# v(t,x,y) = v(t,x) = -C*Pi*exp(-(C/S)*Pi^2*t)*cos(Pi*x)
# C .. conductivity
# S .. storativity

# theoretical values for C=0.5, S=1.0:
# t:        p(Pi/2):     v(1):
# 0.1      0.6105        0.9590
# 0.2      0.3727        0.5854
# 0.3      0.2275        0.3574
# 0.6      0.0518        0.0813
# 1        0.0072        0.0113
flow123d_version: 2.0.0
problem: !Coupling_Sequential
  description: Test10 - Unsteady flow in 2D, Lumped Mixed Hybrid
  mesh:
    mesh_file: ../00_mesh/square_1x1_942el.msh
  #flow_equation: !Flow_Richards_LMH
  flow_equation: !Flow_Darcy_MH
    output_specific:
    time:
        end_time: 1
        max_dt: 0.01
        min_dt: 0.01

    input_fields:
      - region: ALL
        storativity: 1
      - region: plane
        conductivity: 0.5
        cross_section: 1.0
        init_pressure: !FieldFormula
            value: sin(Pi*x)
        # default
        #storativity: 1
        # default
      - region: .bc_inflow
        bc_type: dirichlet
        bc_pressure: 0
      - region: .bc_outflow
        bc_type: dirichlet
        bc_pressure: 0
    nonlinear_solver:
      linear_solver: !Petsc
        a_tol: 1.0e-07
        r_tol: 1.0e-5
    n_schurs: 2
    output:
      fields:
        - pressure_p0
        - pressure_p1
        - velocity_p0
    balance:
      cumulative: true
    output_stream: 
      file: ./test10.pvd
      format: !vtk
        variant: ascii
      name: flow_output_stream
      times:
        - step: 0.1